%
%  GLOBEC 5 Min Averages of RDI Broadband 115 kHz ADCP Data

% The preceding empty line is important
% $Log: gbadc5m2.m,v $
% Revision 1.1  1999/06/01 07:10:27  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:03  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbadc5m2.m,v 1.1 1999/06/01 07:10:27 dbyrne Exp $
%  klee 04/99

GetFunctionName = 'getjgsta';

Server = 'http://maewest.gso.uri.edu/cgi-bin/nph-jg/adcp5m2';  %N151/N152
CatalogServer = nan;
Cat_m_File = 'gbsjcat';
URL_m_File = 'gbsjurl';

LonRange = [-70.5 -67.10];
LatRange = [40.5 41.5];
TimeRange = [1995.31488014 1995.45347827];
DepthRange = [5 36];
Resolution = nan;

DodsName1 = str2mat('yrday0_gmt');
Serverexd = str2mat('N151','N152');
dayend = [122.2, 165.6];
DodsName = str2mat('u','v');
DataName = 'ADCP -- Seward Johnson 115 kHz ADCP 5 Min Averages -- URI/GLOBEC ';    
LongitudeName = 'lon';
LatitudeName = 'lat';
TimeName = 'yrday0_gmt';         
DepthName = 'depth';
DepthUnits = 'dbar';
SelectableVariables = str2mat('U_Current','V_Current');
TextField = str2mat('SJ9506','SJ9508');
OptionalVariables = nan;

%correspond to [t,x,y,d,...]
DataScale = [1995 1/365; nan nan; nan nan; nan nan; nan nan; nan nan];

Acknowledge = [];
Data_Use_Policy = sprintf('%s' ,...
      'Any person making substantial use of a data set must communicate with the investigators who acquired the data prior to publication and anticipate that the data collectors will be co-authors of published results. This extends to model results and to data organized for retrospective studies. (Please refer to U.S. GLOBEC''s data policy Report #10 (http://cbl.umces.edu/fogarty/usglobec/reports/datapol/ datapol.contents.html).) The data available here are intended for scholarly use by the academic and scientific community, with the express understanding that any such use will properly acknowledge the originating investigator. Use or reproduction of any material herein for any commercial purpose is prohibited without prior written permission from the U.S. GLOBEC Georges Bank Data Management Office. (http://globec.whoi.edu/globec-dir/contact_dmo.html)');

%COMMENTS
Comments1 = sprintf('%s\n', ...
'                      5 Min Averages of RDI Broadband 115 kHz ADCP Data      ',...
'   ',...
'                   Parameter         Description                     Units',...
'                 ----------------------------------------------------------',...
'   ',...
'                   pressure                                          dbar',...
'                   U                                                 cm/s east positive',...
'                   V                                                 cm/s north positive',...
'  ',...
' 5 Minute averages of RDI broadband 600 kHz ADCP. ',...
'  ',...
' SJ9506, 25 Apr - 3 May 1995. ',...
' SJ9508 6 - 16 June 1995.');

Comments4 = sprintf('%s\n', ...
'   ', ...
'    Time_Period_of_Content = ', ...
'         Beginning_Date: Apr. 24, 1995 (1995.31488014) ', ...
'         Ending_Date:    Jun. 13, 1995 (1995.45347827)', ...
'    Spatial_Domain = ', ...
'         Bounding Coordinates: ', ...
'              West Bounding Coordinate: 69.47 W ', ...
'              East Bounding Coordinate: 67.14 W ', ...
'              South Bounding Coordinate: 40.57 N ', ...
'              North Bounding Coordinate: 41.39 N ', ...
'   ', ...
'    Point_of_Contact = ', ...
'         Address - si: ', ...
'               Dave Hebert', ...
'               Graduate School of Oceanography',...
'               Univ. of Rhode Island',...
'               Narragansett, RI 02882-1197',...
'               USA ', ...
'               Electronic Mail Address:INTERNET > hebert@micmac.gso.uri.edu',...
'               FAX: 401-874-6728',...
'         Address - globec: ',...
'               Robert Groman',...
'               Swift House MS# 38',...
'               Woods Hole, MA 02543-1127',...
'               USA ',...
'               Electronic Mail Address:INTERNET > rgroman@whoi.edu',...
'               FAX: (508) 457-2169',...
'         Address - dods: ',...
'               Electronic Mail Address:INTERNET > support@unidata.ucar.edu ');

Comments = [Comments1 Comments4];