function [url,loaddodsbool,infotext,times,Pass_Times,depths,Pass_Depths,lats,lons,num_url] = gbalssc ...
         (getarchive, getranges, getmode)
%
%    This function will build gbalss/gbnfdri file names and return infotext and time/lat/lon/url
%    to the browser
%

% The preceding empty line is important
% $Log: gbalssc.m,v $
% Revision 1.6  2000/05/15 19:24:29  kwoklin
% Replace isleapm with isleap.   klee
%
% Revision 1.5  2000/04/11 18:37:02  kwoklin
% Elimilate warning msg.  Add to handle full size constraint request.  klee
%
% Revision 1.3  1999/06/24 19:04:59  kwoklin
% Change file name of nbnerr.m. Fix some display bugs, define precision level
% of lat/lon/depth/time, and fix some more bugs in globec files.        klee
%
% Revision 1.1  1999/06/01 07:10:27  dbyrne
%
%
% Moved up from kleedata/
%
% Revision 1.3  1999/05/28 22:53:03  kwoklin
% Point to new server for all jgofs datasets. Update getjgsta on loaddods.
% Fix infotext for all gb geturl files. Fix transmissivity for some gb
% files. Modify some variable names on gb files.       klee
%

% $Id: gbalssc.m,v 1.6 2000/05/15 19:24:29 kwoklin Exp $
% klee 04/01/99

% reading selected ranges
if exist(getarchive) == 2   
  eval(getarchive)
else
  dodsmsg('Metadata not found!')
  return
end

  % Initialize variables.
  More = 1;
  num_url = 0;
  Pass_Times = []; times = [];
  Pass_Depths = []; depths = [];
  lats = []; lons = []; 
  depthtemp = [];
  url = []; infotext = []; text = []; Constraint = []; DataRanges = []; outb = [];
  % To prevent named file conflict, force variable names to be appeared as variables.  
  year = []; yrday1_local = []; yrday0_gmt = []; lat = []; lon = []; 

  DataRanges = [LonRange; LatRange; DepthRange; TimeRange];
  for i = 1:4
    if (getranges(i,1) <= DataRanges(i,1) & getranges(i,2) >= DataRanges(i,2))
      outb = [outb, 1];
   else
      outb = [outb, 0];
    end
  end
  yearname = deblank(DodsName1(1,:));
  dayname = deblank(DodsName1(2,:));

  %Now, for lat and lon constraint
  Ulat = num2str(getranges(2,2));
  Llat = num2str(getranges(2,1));
  URLlat = sprintf('%s','&',LatitudeName,'>=',Llat,'&',LatitudeName,'<=',Ulat);
  Llon = num2str(getranges(1,1));
  Rlon = num2str(getranges(1,2));
  URLlon = sprintf('%s','&',LongitudeName,'>=',Llon,'&',LongitudeName,'<=',Rlon);

  returned_var = [];
  returned_var = sprintf('%s',yearname,',',dayname,',',LatitudeName,',',LongitudeName);

  % Get beginning and ending of time interval.
  BeginTime = max(TimeRange(1), getranges(4,1));
  LastTime = min(TimeRange(2), getranges(4,2));

  StartTime = BeginTime;
  LastYear = floor(LastTime);
  StartYear = floor(StartTime);
  DaysInYear = 365;
  if rem(LastYear,4) == 0 & LastYear ~= 1900
    DaysInYear = 366;                % This is a leapyear.
  end
  LastYrday = (LastTime - LastYear) * DaysInYear;

  % Iterate, making one call to the catalog server for every year requested in
  % the time range. 

  while More == 1
  
    % Begin by defining starting constraint.  
    StartYear = floor(StartTime);  
    DaysInYear = 365;
    if isleap(StartYear)
      DaysInYear = 366;                % This is a leapyear.
    end
    StartYrday = (StartTime - StartYear) * DaysInYear;

    Constraint = ['&',yearname,'=',num2str(StartYear),'&',dayname,'>=', num2str(StartYrday,7)];
  
    EndTime = StartYear + 1;
    EndYear = floor(EndTime);
  
    % Now for ending constraint.  
    if EndTime >= LastTime % All in same year
      More = 0;
      EndTime = LastTime;
      EndYrday = LastYrday;
    else
      EndYrday = DaysInYear;
      StartTime = EndTime;
    end  %end of if EndTime
  
    days = []; timetemp = []; tmp = [];  index = [];
    if all(outb == 1)
      url = [Server, '?', returned_var];
      loaddods('-F',url); 
      yearleaps = isleap(StartYear:LastYear);
      allyears = [StartYear:LastYear];
      days = eval(dayname);
      if ~isempty(days) & (days(1) > 1e-10 | days(1) == 0)
        num_url = num_url + 1;
        for i = 1:length(yearleaps)
          index = find(year == allyears(i));
          times = [times;  allyears(i)+days(index)/(365+yearleaps(i))];
        end
	tmp = find(times >= getranges(4,1) & times <= getranges(4,2));
        lats = [lats; eval(LatitudeName)];
        lons = [lons; eval(LongitudeName)];
        times = times(tmp);  lats = lats(tmp);  lons = lons(tmp);
        Pass_Times = [Pass_Times; StartYear,StartYrday,LastYrday,str2num(Llat),str2num(Ulat),...
                    str2num(Llon),str2num(Rlon)];
      end
      loaddodsbool = 0;
      return;
    else
      Constraint = [Constraint, '&',dayname,'<=', num2str(EndYrday,7)];
      Constraint = [Constraint, URLlat, URLlon];
      url = [Server, '?', returned_var, Constraint];
      loaddods('-F',url);
    end

    %record time, depth, lat and lon info back to get function
    days = eval(dayname);
    if ~isempty(days) & (days(1) > 1e-10 | days(1) == 0)
      num_url = num_url + 1;
      Ndays = size(days,1);
      timetemp = StartYear + days(1:Ndays) / DaysInYear;
      tmp = find(timetemp >= getranges(4,1) & timetemp <= getranges(4,2));
      times = [times; timetemp(tmp)];
      lats = [lats; eval(LatitudeName)];
      lons = [lons; eval(LongitudeName)];
      Pass_Times = [Pass_Times; StartYear,StartYrday,EndYrday,str2num(Llat),str2num(Ulat),...
                    str2num(Llon),str2num(Rlon)];
    end
  end  %end of while
  loaddodsbool = 0;

return









